Uploaded image for project: 'Spatial Information Systems'
  1. Spatial Information Systems
  2. SIS-111

Can not upgrade jetty-maven-plugin past 8.0.1

VotersWatch issueWatchersLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

Details

    • Bug
    • Status: Closed
    • Minor
    • Resolution: Fixed
    • 0.3, 0.4, 0.5, 0.6
    • 0.7
    • Build process, Web services
    • None

    Description

      The sis-webapp module uses org.mortbay.jetty:jetty-maven-plugin version 8.0.0.M2 for its test. The build seems to work for more recent version up to 8.0.1.v20110908 inclusive. However all subsequent version (beginning with 8.0.2.v20111006) fail with the following error message:

      Failed to execute goal org.mortbay.jetty:jetty-maven-plugin:8.0.2.v20111006:run (start-jetty) on project sis-webapp:
      Unable to parse configuration of mojo org.mortbay.jetty:jetty-maven-plugin:8.0.2.v20111006:run for parameter webApp:
      Cannot configure instance of org.mortbay.jetty.plugin.JettyWebAppContext from application/sis-webapp/target/sis-webapp-0.4-jdk7-SNAPSHOT.war
      

      Attachments

        Activity

          This comment will be Viewable by All Users Viewable by All Users
          Cancel

          People

            desruisseaux Martin Desruisseaux
            desruisseaux Martin Desruisseaux
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Slack

                Issue deployment